# Update a family asset type

Updates an existing family asset type.

Endpoint: PATCH /v1/families/{familyUuid}/asset-types/{familyAssetTypeUuid}
Version: 1.1.0
Security: Bearer

## Path parameters:

  - `familyUuid` (string, required)
    The unique identifier of the family.

  - `familyAssetTypeUuid` (string, required)
    The unique identifier of the family asset type to update.

## Request fields (application/json):

  - `isRequired` (boolean,null, required)
    Whether assets of this type are required.

  - `minCount` (integer,null, required)
    Minimum number of assets of this type required.

  - `maxCount` (integer,null, required)
    Maximum number of assets of this type allowed. Null means unlimited.

  - `appliesToSimple` (boolean,null, required)
    Whether this asset type applies to simple products.

  - `appliesToParent` (boolean,null, required)
    Whether this asset type applies to parent products.

  - `appliesToVariant` (boolean,null, required)
    Whether this asset type applies to variant products.

## Response 200 fields (application/json):

  - `uuid` (string, required)
    Unique identifier for this family-asset type association.

  - `familyUuid` (string, required)
    Identifier of the family this association belongs to.

  - `productAssetTypeUuid` (string, required)
    Identifier of the product asset type that is associated.

  - `createdAt` (string, required)
    Timestamp when the association was created.
    Example: "2025-11-23T14:15:22.123456Z"

  - `updatedAt` (string, required)
    Timestamp when the association was last modified.
    Example: "2025-11-23T14:15:22.123456Z"

  - `isRequired` (boolean, required)
    Whether assets of this type are required for products in this family.

  - `minCount` (integer, required)
    Minimum number of assets of this type required.

  - `maxCount` (integer,null, required)
    Maximum number of assets of this type allowed. Null means unlimited.

  - `appliesToSimple` (boolean, required)
    Whether this asset type applies to simple products.

  - `appliesToParent` (boolean, required)
    Whether this asset type applies to parent products.

  - `appliesToVariant` (boolean, required)
    Whether this asset type applies to variant products.

## Response 401 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 404 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 409 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 422 fields (application/problem+json):

  - `errors` (array)

  - `errors.code` (string, required)

  - `errors.message` (string, required)

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)

## Response 500 fields (application/problem+json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `correlationId` (string,null)


